﻿using System;

namespace ParkingLot_MEF.Parkoviste
{
    public class ParkovistePlneEvent
    {
        public delegate void EventHandler(Object source);

        private static volatile ParkovistePlneEvent _instance;
        private static readonly object SyncRoot = new Object();

        private ParkovistePlneEvent()
        {
        }

        public static ParkovistePlneEvent Instance
        {
            get
            {
                if (_instance != null) return _instance;

                lock (SyncRoot)
                {
                    if (_instance == null)
                        _instance = new ParkovistePlneEvent();
                }

                return _instance;
            }
        }

        public event EventHandler Event;

        public void PublishPlnoEvent(Object source)
        {
            if (Event != null)
            {
                Event(source);
            }
        }
    }
}