﻿using System;
using System.ComponentModel.Composition;
using ParkingLot_MEF.Interfaces;
using ParkingLot_MEF.Parkoviste;

namespace ParkingLot_MEF.Tabule
{
    [Export(typeof(IZapVyp))]
    public class Tabule : IZapVyp
    {
        public Tabule()
        {
            Subscribe();
        }

        public void Vyp()
        {
            Console.Out.WriteLine("Tabule vypnuta...");
        }

        public void Zap()
        {
            Console.Out.WriteLine("Tabule zapnuta...");
        }

        public void Subscribe()
        {
            ParkovisteZbyvaEvent.Instance.Event += ParkovisteZbyvaEventHandling;
            ParkovistePlneEvent.Instance.Event += ParkovistePlneEventHandling;
        }

        private static void ParkovisteZbyvaEventHandling(Object source, int volnaMista)
        {
            Console.Out.WriteLine("(Tabule) Volna mista: " + volnaMista);
        }

        private static void ParkovistePlneEventHandling(Object source)
        {
            Console.Out.WriteLine("(Tabule) Parkoviste je plne!");
        }
    }
}